Subject: 24.3.50; error with advice (+ sage/org/auctex)
From: "Nicolas Richard" <[email-masked]>
To: [email-masked]
Date: Mon, 18 Feb 2013 22:47:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using emacs with auctex, org mode and sage-mode (all of them to the
most uptodate devel version, last updated a few minutes ago). I ran into
a problem since I updated to 24.3. It took me quite some time to narrow
down to the .emacs hereafter, but now I don't know how to narrow it
further. I just hope someone can reproduce.

Here is the backtrace (I replaced nul characters by <NUL> to make Gnus happy): 
Debugger entered--Lisp error: (wrong-type-argument symbolp #[(process name) "\306\307	
\"=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))])
  ad-real-orig-definition(#[(process name) "\306\307	\n\"\f=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))])
  ad--make-advised-docstring(#("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring)) #[(process name) "\306\307	\n\"\f=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))])
  documentation(#[(process name) "\306\307	\n\"\f=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))] t)
  ad-docstring(#[(process name) "\306\307	\n\"\f=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))])
  ad-advised-definition-p(#[(process name) "\306\307	\n\"\f=\203/<NUL>\310\311\306\312#\203<NUL>\313\314!\210\202/<NUL>\310\315\306\312#\203/<NUL>\313\316\317\320!\"\210\321)\207" [ad-return-value process name TeX-command-next TeX-command-Show TeX-command-default nil ad-Orig-TeX-LaTeX-sentinel re-search-forward "Package sagetex Warning: `final' option provided" t message "Remove the final option to sagetex and rerun (La)TeX." "Package sagetex Warning: \\(.*\\)" "You should run Sage: %s." match-string 1 "Sage"] 4 #("Advice doc string" 0 17 (dynamic-docstring-function ad--make-advised-docstring))])
  ad-handle-definition(TeX-LaTeX-sentinel)
  ad-activate(TeX-LaTeX-sentinel)
  sage-auctex-setup()
  (lambda nil (sage-auctex-setup))()
  funcall((lambda nil (sage-auctex-setup)))
  (if (not (equal file (quote "/usr/local/share/emacs/site-lisp/auctex/tex.elc"))) nil (remove-hook (quote after-load-functions) (quote eval-after-load-helper)) (funcall (quote (lambda nil (sage-auctex-setup)))))
  eval-after-load-helper("/usr/local/share/emacs/site-lisp/auctex/tex.elc")
  run-hook-with-args(eval-after-load-helper "/usr/local/share/emacs/site-lisp/auctex/tex.elc")
  do-after-load-evaluation("/usr/local/share/emacs/site-lisp/auctex/tex.elc")
  require(tex)
  eval-buffer(#<buffer  *load*> nil "/home/youngfrog/.emacs-problem" nil t)  ; Reading at buffer position 581
  load-with-code-conversion("/home/youngfrog/.emacs-problem" "/home/youngfrog/.emacs-problem" nil t)
  load("/home/youngfrog/.emacs-problem" nil t)
  command-line-1(("-l" ".emacs-problem"))
  command-line()
  normal-top-level()

obtained by running "emacs -q -l ~/.emacs-problem", with this file as
~/.emacs-problem :

(setq debug-on-error t)
(add-to-list 'load-path "~/sourcetrees/org-mode/lisp"); at commit 27da9a2a0f8ced9b602bf8df064ca7249d862e68
(load  "/usr/local/share/emacs/site-lisp/auctex.el" nil nil t); I just did "cvs up; sh autogen.sh; ./configure; make; sudo make install"
(add-to-list 'load-path "~/sourcetrees/sage-mode/emacs/"); https://bitbucket.org/gvol/sage-mode - changeset:   123:3d39d9ce50ee
; (require 'tex-buf) ;; uncomment this line to avoid error.
(require 'sage-load) 
;; comment following line also avoids error
(org-babel-do-load-languages 'org-babel-load-languages '((emacs-lisp . t)))
(require 'tex)

What can I do to understand what's happening ? (btw I hope it's a really
complicated bug, because I managed to spend an hour just bisecting my
own .emacs !)

Thanks for your help.

In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2012-11-21 on LDLC-portable
Bzr revision: 110872 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
System Description:	Ubuntu 12.04.2 LTS

Important settings:
  value of $LANG: fr_BE.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
q M-x e <backspace> r e p o r t SPC e m <tab> <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading /usr/local/share/emacs/site-lisp/auctex.el (source)...done
Entering debugger...

Load-path shadows:
~/sourcetrees/sage-mode/emacs/.dir-locals hides /usr/local/share/emacs/24.3.50/lisp/gnus/.dir-locals

Features:
(shadow sort mail-extr emacsbug sendmail dbus xml crm org byte-opt
warnings bytecomp byte-compile cconv advice help-fns advice-preload
edmacro kmacro derived org-macro org-footnote org-pcomplete pcomplete
org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob ob-tangle org-src easy-mmode ob-ref ob-lob ob-table
ob-keys ob-exp ob-comint comint ansi-color ring ob-core ob-eval
org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs gnus-sum nnoo gnus-group gnus-undo nnmail mail-source
gnus-start gnus-spec gnus-int gnus-range message cl-macs gv format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils mailheader
gnus-win gnus gnus-ems nnheader gnus-util mail-utils mm-util mail-prsvr
wid-edit cl cl-lib sage-load tex-site auto-loads time-date tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)